package com.tptj.demo.hg.function.group;

import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.fun.impl.AbstractFunctionDefContainer;
import com.fr.stable.script.FunctionDef;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-02-20
 **/
@EnableMetrics
public class Demo extends AbstractFunctionDefContainer {
    @Override
    @Focus(id="com.tptj.demo.hg.function.group.v10", text="函数分组demo")
    public FunctionDef[] getFunctionDefs() {
        return new FunctionDef[]{
                new FunctionDef( "Func1", "DemoFunc1 的用法介绍\n换行说明！", DemoFunc1.class.getName() ),
                new FunctionDef( "Func2", "DemoFunc2 的用法介绍\n换行说明！", DemoFunc2.class.getName() )
        };
    }

    @Override
    public String getGroupName() {
        return "Demo";
    }
}
